Upgrading Ruby with RVM and installing gems correctly.

on Note Written by Sirwan Qutbi.

This guide was written for those who screwed up their upgrade from a previous version lower than than 2.0 to 2.0. You can fix ruby through RVM. The guide will work you through upgrading ruby and installing gems in the safest and quickest way. This guide was written on 6th December 2015.

Import the key.

command curl -sSL https://rvm.io/mpapis.asc | gpg --import -

Install RVM with diffult gems: rails, bundler, rake. Enable autolibs. and install the latest stable version of ruby.

\curl -sSL https://get.rvm.io | bash -s stable --ruby --with-default-gems="rails,bundler,rake" --autolibs=enabled

Open a new shell.

/bin/bash --login

Bash login

/bin/bash --login

Switch ruby version to 2.2.1

rvm use 2.2.1 --default

Check version was changed

ruby -v

Install a gemset

RVM gems are called gemsets, lets install the sass gem..

rvm gemset install sass

If you need further help, contact me on [email protected]